<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/trunk/class/htdocs/datalist/NameserverDataList.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Daniel Robert <robert@osuosl.org>                             |
// |          Frederic Wenzel <fred@osuosl.org>                             |
// |          Zack Bartel <bartel@osuosl.org>                               |
// |          Josh Schonstal <schonstal@osuosl.org>                         |
// +------------------------------------------------------------------------+
   
// $Id: NameserverDataList.php 4668 2006-07-25 21:30:03Z morgabra $

/**
  * HostDataList.php - contains the {@link HostDataList} class
  *
  * @author $Author: morgabra $
  * @filesource
  * @package    htdocs
  * @subpackage datalists
  */

require_once(DAOEXT.'/ns.php');
require_once(HTCLASS.'/DB_DataObjectDataList.php');
require_once(HTCLASS.'/DB_DataObjectDataListSource.php');

/**
  * Table listing of Hosts
  *
  * @link   http://phphtmllib.newsblob.com/javadoc.php phpHtmlLib API Documentation
  * @link   http://phphtmllib.newsblob.com/doc/phpHtmlLib/DefaultGUIDatalist.html
            DefaultGUIDataList API Documentation
  * @package    htdocs
  * @subpackage datalists
  */
class NameserverDataList extends DB_DataObjectDataList
{

// {{{ vars
    //nothing here...
// }}}

// {{{ get_data_source()

    function get_data_source()
    {
        $ns = new NS();
        $src = &new DB_DataObjectDataListSource($ns);
        $this->set_data_source($src);
    }

// }}}
// {{{ _user_setup()

    function _user_setup()
    {
        $this->set_actionbar(true);

        // set up the columns
        $this->add_header_item(_("Hostname"), '25%', 'name', SORTABLE, SEARCHABLE);
        $this->add_header_item(_("Domain"), '25%', 'domain', SORTABLE);
        $this->add_header_item(_("Glue"), '25%', 'glue', SORTABLE);
        $this->add_header_item(_("Action"),'25%');

        //$this->_datasource->setup_db_options(array('zone' => $_SESSION['zone']));
        unset($this->_save_vars['action']);

    }

// }}}
// {{{ build_column_item()

    function build_column_item($row_data, $col_name)
    {
        switch ($col_name)
        {
            case _('Hostname'):
                $obj = $row_data[_('name')];
                break;
            case _('Domain'):
                $dom = DB_DataObject::Factory('domain');
                $dom->whereAdd();
                $dom->whereAdd('id='.$row_data['domain']);
                $dom->find(true);
                $obj = $dom->name;
                break;
            case _('Glue'):
                $obj = $row_data['glue'];
                break;
            case _('Action'):
                $obj = container();
                $obj = Module::apply_filter('action_module', $obj, $row_data, 'ns');
                break;
            default:
                $obj = parent::build_column_item($row_data, $col_name);
        }

        return $obj;
    }

// }}}


}

?>
