<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/branches/maintain-3/htdocs/cname.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Michael Clay <claym@osuosl.org>                               |
// |          Zack Bartel <bartel@osuosl.org>                               |
// +------------------------------------------------------------------------+
// $Id: cname.php 4758 2006-08-18 21:37:02Z schonstal $

/**
  * CNAME Pages
  *
  * @package    htdocs
  */

require_once("includes.php");
require_once(HTCLASS."/datalist/CnameDataList.php");
require_once(FORMDIR."/CnameCreateForm.php");
require_once(FORMDIR."/CnameEditForm.php");
require_once(FORMDIR."/MaintainDeleteConfirm.php");
require_once(FORMDIR."/ObjectMoveZoneForm.php");



session_start();

setup_user_environment();

$title = html_span("title");

$skin = Skin::Factory($user->color_template);

$content = container();

switch(strtolower($_REQUEST['action'])) {

case 'delconfirm':
    if(!$user->is_zone_user($zone))
        header("Location denied.php");
    $title->add(_("Deleting CNAME"));
    $cdc = new FormProcessor(new MaintainDeleteConfirm("CNAME", "Hostname"), "cnamedel");
    $cdc->set_render_form_after_success(false);
    $content->add($title);
    $content->add($cdc);
    break;

case 'edit':
    if(!$user->is_zone_user($zone))
        header("Location: denied.php");
    $title->add(_("Modifying CNAME"));
    $cef = new FormProcessor(new CnameEditForm, "cnameedit");
    $cef->set_render_form_after_success(false);
    $content->add($title);
    $content->add(html_br(2),Skin::amFactory(AM_EDIT,_("CNAME")),html_br(2));
    $content->add(show_live_time($_REQUEST['id'], _("CNAME")));

    $move = new FormProcessor(new ObjectMoveZoneForm('cname'), 'movecname');
    $move->set_render_form_after_success(false);
    if (!$move->is_action_successfull())
        $content->add($cef);
    if (!$cef->is_action_successfull())
        $content->add($move);
    break;

case 'create':
    if(!$user->is_zone_user($zone))
        header("Location: denied.php");
    $title->add(_("Creating CNAME"));
    $ccf = new FormProcessor(new CnameCreateForm, "cnamecreate");
    $ccf->set_render_form_after_success(false);
    $content->add($title);
    $content->add($ccf);
    break;

case 'show':

default:
    $title->add("Viewing CNAME");
    $content->add($title);

    if(isset($_REQUEST['id'])) {
        $content->add(html_br(2),Skin::amFactory(AM_SHOW,("CNAME")),html_br(2));
    
        $cname = new Cname($_REQUEST['id']);
        $content->add(show_live_time($_REQUEST['id'], _("CNAME")));
        $content = Module::apply_filter("object_info",$content,$cname); 
    }
    else {
        /* Action Menu */
        $content->add(html_br(2),Skin::amFactory(AM_LIST, _("CNAME")),html_br(2));
        $cl = new CnameDataList("CNAMEs");
        $cl->user_setup();
        $content->add($cl);
    }

}

print $skin->display($content);

?>
