<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/branches/maintain-3/htdocs/subnet.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Michael Clay <claym@osuosl.org>                               |
// |          Zack Bartel <bartel@osuosl.org>                               |
// +------------------------------------------------------------------------+
// $Id: subnet.php 4758 2006-08-18 21:37:02Z schonstal $

/**
  * Subnet Pages
  *
  * @package    htdocs
  */

require_once("includes.php");
require_once(HTCLASS."/datalist/SubnetDataList.php");
require_once(HTCLASS."/datalist/ObjectOptionDataList.php");
require_once(FORMDIR."/SubnetCreateForm.php");
require_once(FORMDIR."/SubnetEditForm.php");
require_once(FORMDIR."/MaintainDeleteConfirm.php");


session_start();

setup_user_environment();

//This is an admin only page, if they aren't admin they shouldn't be touching subnet
if(!$user->is_admin())
    header("Location: ".web_root()."denied.php");
    
$title = html_span("title");

$skin = Skin::Factory($user->color_template);

$content = container();

switch(strtolower($_REQUEST['action'])) {

case 'delconfirm':
    if(!$user->is_admin($user))
        header("Location: ".web_root()."denied.php");
    $title->add(_("Deleting Subnet"));
    $content->add($title);
    $delconf = new FormProcessor( new MaintainDeleteConfirm("Subnet", "name"), "delconfirm");
    $delconf->set_render_form_after_success(false);
    $content->add($delconf);
    break;

case 'edit':
    if(!$user->is_admin())
        header("Location: denied.php");
    $title->add(_("Modifying Subnet"));
    $content->add($title);
    //$ool = new ObjectOptionDataList('subnet', $_REQUEST['id']);
    $sef = new FormProcessor(new SubnetEditForm, "editsubnet");
    $am = $skin->getActionMenu();
    $am->add(html_a("option.php?action=show&amp;object_type=subnet&amp;object_id={$_REQUEST['id']}", _("View DHCP Options for this Subnet")));
    $am->add(Skin::amFactory(AM_EDIT, _("Subnet")));
    $content->add(html_br(2),$am, html_br(2));
    $content->add(show_live_time($_REQUEST['id'], "Subnet"));
    $content->add($sef, html_br(2), html_span("displayobject_title"));
    break;

case 'create':
    if(!$user->is_admin())
        header("Location: denied.php");
    $title->add(_("Create a new Subnet"));
    $content->add($title);
    $scf = new FormProcessor(new SubnetCreateForm, "createsubnet");
    $scf->set_render_form_after_success(false);
    $content->add($scf);
    break;

case 'show':
case 'show_admin':

default:
    if(!$user->is_admin())
        header("Location: denied.php");
    if(isset($_REQUEST['id'])) {
        $title->add(_("Viewing Subnet"));
        $content->add($title);
        
        $subnet = new Subnet($_REQUEST['id']);
        $content = Module::apply_filter("object_info",$content,$subnet); 
    }
    else {
        $title->add(_("Viewing Subnets"));
        $content->add($title);

        $sl = new SubnetDataList("Subnets");
        $sl->user_setup();
        $content->add(html_br(2),Skin::amFactory(AM_LIST, _("Subnet")), html_br(2));
        $content->add($sl);
    }
}

if(!strcasecmp($_REQUEST['action'],"show")) {
       
}

print $skin->display($content);

?>
